> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check load balancer quota

> Check if regional quota is exceeded, if yes the number of additional
quotas needed to create the specified load balancer will be calculated



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/loadbalancers/{project_id}/{region_id}/check_limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/loadbalancers/{project_id}/{region_id}/check_limits:
    post:
      tags:
        - Load Balancers
      summary: Check load balancer quota
      description: |-
        Check if regional quota is exceeded, if yes the number of additional
        quotas needed to create the specified load balancer will be calculated
      operationId: LoadBalancerCheckLimits.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/CheckQuotaBeforeLoadbalancerCreationPydanticSerializer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoadbalancerQuotaSerializer'
components:
  schemas:
    CheckQuotaBeforeLoadbalancerCreationPydanticSerializer:
      properties:
        floating_ip:
          $ref: '#/components/schemas/NewInterfaceFloatingIpPydanticSerializer'
          description: Floating IP configuration for assignment
        logging:
          $ref: '#/components/schemas/LoadbalancerLoggingSerializer'
          description: Logging configuration
        vip_ip_family:
          $ref: '#/components/schemas/InterfaceIPFamily'
          description: >-
            IP family for load balancer subnet auto-selection if
            `vip_network_id` is specified
          examples:
            - ipv4
        vip_network_id:
          description: Network ID for load balancer
          format: uuid4
          title: Vip Network Id
          type: string
        vip_port_id:
          description: >-
            Existing Reserved Fixed IP port ID for load balancer. Mutually
            exclusive with `vip_network_id`
          example: ff83e13a-b256-4be2-ba5d-028d3f0ab450
          examples:
            - ff83e13a-b256-4be2-ba5d-028d3f0ab450
          format: uuid4
          title: Vip Port Id
          type: string
      title: CheckQuotaBeforeLoadbalancerCreationPydanticSerializer
      type: object
    LoadbalancerQuotaSerializer:
      properties:
        external_ip_count_limit:
          description: External IP Count limit
          example: 1
          examples:
            - 1
          title: External Ip Count Limit
          type: integer
        external_ip_count_requested:
          description: External IP Count requested
          example: 1
          examples:
            - 1
          title: External Ip Count Requested
          type: integer
        external_ip_count_usage:
          description: External IP Count usage
          example: 1
          examples:
            - 1
          title: External Ip Count Usage
          type: integer
        floating_count_limit:
          description: Floating IP Count limit
          example: 1
          examples:
            - 1
          title: Floating Count Limit
          type: integer
        floating_count_requested:
          description: Floating IP Count requested
          example: 1
          examples:
            - 1
          title: Floating Count Requested
          type: integer
        floating_count_usage:
          description: Floating IP Count usage
          example: 1
          examples:
            - 1
          title: Floating Count Usage
          type: integer
        laas_topic_count_limit:
          description: LaaS Topics Count limit
          example: 1
          examples:
            - 1
          title: Laas Topic Count Limit
          type: integer
        laas_topic_count_requested:
          description: LaaS Topics Count requested
          example: 1
          examples:
            - 1
          title: Laas Topic Count Requested
          type: integer
        laas_topic_count_usage:
          description: LaaS Topics Count usage
          example: 1
          examples:
            - 1
          title: Laas Topic Count Usage
          type: integer
        loadbalancer_count_limit:
          description: Load Balancers Count limit
          example: 1
          examples:
            - 1
          title: Loadbalancer Count Limit
          type: integer
        loadbalancer_count_requested:
          description: Load Balancers Count requested
          example: 1
          examples:
            - 1
          title: Loadbalancer Count Requested
          type: integer
        loadbalancer_count_usage:
          description: Load Balancers Count usage
          example: 1
          examples:
            - 1
          title: Loadbalancer Count Usage
          type: integer
      title: LoadbalancerQuotaSerializer
      type: object
    NewInterfaceFloatingIpPydanticSerializer:
      properties:
        existing_floating_id:
          description: If source is 'existing', existing floating IP ID must be specified
          example: c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          examples:
            - c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          format: uuid4
          title: Existing Floating Id
          type: string
        source:
          $ref: '#/components/schemas/FloatingIpSource'
          description: Will the floating for this subnet's IP be created or reused?
          examples:
            - new
            - existing
      required:
        - source
      title: NewInterfaceFloatingIpPydanticSerializer
      type: object
    LoadbalancerLoggingSerializer:
      properties:
        destination_region_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Destination region id to which the logs will be written
          examples:
            - 1
          title: Destination Region Id
        enabled:
          default: false
          description: Enable/disable forwarding logs to LaaS
          example: true
          examples:
            - true
            - false
          title: Enabled
          type: boolean
        retention_policy:
          anyOf:
            - $ref: '#/components/schemas/LaasIndexRetentionPolicyPydanticSerializer'
            - type: 'null'
          default: null
          description: The logs retention policy
          examples:
            - period: 45
        topic_name:
          anyOf:
            - maxLength: 223
              minLength: 1
              pattern: >-
                ^[a-z0-9](?:[-a-z0-9]*[a-z0-9])?(?:\.[a-z0-9](?:[-a-z0-9]*[a-z0-9])*)*$
              type: string
            - type: 'null'
          default: null
          description: The topic name to which the logs will be written
          examples:
            - my-log-name
          title: Topic Name
      title: LoadbalancerLoggingSerializer
      type: object
    InterfaceIPFamily:
      enum:
        - dual
        - ipv4
        - ipv6
      title: InterfaceIPFamily
      type: string
    FloatingIpSource:
      enum:
        - existing
        - new
      title: FloatingIpSource
      type: string
    LaasIndexRetentionPolicyPydanticSerializer:
      properties:
        period:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1825
              type: integer
            - type: 'null'
          description: Duration of days for which logs must be kept.
          examples:
            - 45
          title: Period
      required:
        - period
      title: LaasIndexRetentionPolicyPydanticSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````